NameToSentenceSampleStream (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats.convert, class: NameToSentenceSampleStream

Package opennlp.tools.formats.convert

# Class NameToSentenceSampleStream

java.lang.Object
opennlp.tools.util.FilterObjectStream<opennlp.tools.namefind.NameSample,opennlp.tools.sentdetect.SentenceSample>
opennlp.tools.formats.convert.AbstractToSentenceSampleStream<opennlp.tools.namefind.NameSample>
opennlp.tools.formats.convert.NameToSentenceSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.sentdetect.SentenceSample>`

@Internal public class NameToSentenceSampleStream extends AbstractToSentenceSampleStream<opennlp.tools.namefind.NameSample>
Note: Do not use this class, internal use only!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameToSentenceSampleStream(opennlp.tools.tokenize.Detokenizer detokenizer, opennlp.tools.util.ObjectStream<opennlp.tools.namefind.NameSample> samples, int chunkSize)`
  Initializes a `NameToSentenceSampleStream`.

- ## Method Summary

  ### Methods inherited from class opennlp.tools.formats.convert.AbstractToSentenceSampleStream

  `read`

  ### Methods inherited from class opennlp.tools.util.FilterObjectStream

  `close, reset`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NameToSentenceSampleStream

    public NameToSentenceSampleStream(opennlp.tools.tokenize.Detokenizer detokenizer, opennlp.tools.util.ObjectStream<opennlp.tools.namefind.NameSample> samples, int chunkSize)
    Initializes a `NameToSentenceSampleStream`.
    Parameters:
      `detokenizer` - The `Detokenizer` to use. Must not be `null`.
      `samples` - The `samples` as input. Must not be `null`.
      `chunkSize` - The size of chunks. Must be equal to or greater than `0`.
    Throws:
      `IllegalArgumentException` - Thrown if parameters are invalid.